Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4011 - ld.so and dlopen not threadsafe in glibc 2.0.x
Summary: ld.so and dlopen not threadsafe in glibc 2.0.x
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc
Version: 5.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL: http://bugzilla.mozilla.org/show_bug....
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-07-13 03:32 UTC by Mike Shaver
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-07-28 06:12:58 UTC


Attachments (Terms of Use)

Description Mike Shaver 1999-07-13 03:32:44 UTC
This is going to cause massive suck for Mozilla.  See the
URL for details.

(I believe this to be an XP bug, but haven't actually
checked on non-Intel platforms.  Also, I believe it affects
5.0 and 5.1 as well.)

Comment 1 Cristian Gafton 1999-07-28 06:12:59 UTC
The libdl.so from glibc 2.0.x is not thread safe, nor it is designed
to be made thread safe easily. At this point in time I can commit to
assistance to the mozilla developers for getting this issue fixed, but
I am unable to act as the main fixer. (yeah, a polite way of saying
that I am taking patches).

I can promise a glibc 2.0.x errata fix for redhat 5.2 once we get this
issue solved.


Note You need to log in before you can comment on or make changes to this bug.